<?php
/**
Template Name: Single post
 */
get_header(); 

$single_style = jarvis_storage_get('single_style');
if (empty($single_style)) $single_style = jarvis_get_custom_option('single_style');

while ( have_posts() ) { the_post();
	jarvis_show_post_layout(
		array(
			'layout' => $single_style,
			'sidebar' => !jarvis_param_is_off(jarvis_get_custom_option('show_sidebar_main')),
			'content' => jarvis_get_template_property($single_style, 'need_content'),
			'terms_list' => jarvis_get_template_property($single_style, 'need_terms')
		)
	);
}

get_footer();
?>